Data Structures | Typedefs | Functions

# thread.h File Reference

Base of all threads. More...

Go to the source code of this file.

## Data Structures
class | OTTDThreadExitSignal
| Signal used for signalling we knowingly want to end the thread. More...
class | ThreadObject
| A Thread Object which works on all our supported OSes. More...
class | ThreadMutex
| Cross-platform Mutex. More...
## Typedefs
typedef void(* | OTTDThreadFunc )(void *)
| Definition of all thread entry functions.
## Functions
uint | GetCPUCoreCount ()
| Get number of processor cores in the system, including HyperThreading or similar.

## Detailed Description

Base of all threads.

Definition in file thread.h.

## Typedef Documentation

typedef void(* OTTDThreadFunc)(void *)

Definition of all thread entry functions.

Definition at line 16 of file thread.h.

## Function Documentation

uint GetCPUCoreCount | ( |  | ) |

Get number of processor cores in the system, including HyperThreading or similar.

Returns:
  Total number of processor cores.

Definition at line 214 of file os2.cpp.

Referenced by VideoDriver_Win32::Start().